Skip to content

# Namespace: Navigation

Renderer.Navigation

## Table of contents

### References

- getDetailsUrl
- hideDetails
- showDetails

### Classes

- PageParam

### Interfaces

- PageParamInit
- URLParams

### Functions

- createPageParam
- isActiveRoute
- navigate

## References

### getDetailsUrl

Re-exports: getDetailsUrl

### hideDetails

Re-exports: hideDetails

### showDetails

Re-exports: showDetails

## Functions

### createPageParam

▸ createPageParam<V>(`init`): PageParam<V>

#### Type parameters

Name
`V`

#### Parameters

Name | Type
--- | ---
`init` | PageParamInit<V>

#### Returns

PageParam<V>

### isActiveRoute

▸ isActiveRoute(`route`): `boolean`

#### Parameters

Name | Type
--- | ---
`route` | `string` | `string`[] | `RouteProps`

#### Returns

`boolean`

### navigate

▸ navigate(`location`): `void`

#### Parameters

Name | Type
--- | ---
`location` | `LocationDescriptor`

#### Returns

`void`